{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2025-09-25T23:41:36Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-be09b211+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "5c6f14d2d527c103bae060e7625efceec6722cc9"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-9c543276+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "8c55904ead0a04c3725ab84ce575ea541b5c1276"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtwebengine-chromium-pdf",
            "spdxDocument": "https://qt.io/spdxdocs/qtwebengine-chromium-pdf-f1f376f+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "7f87fa1462a3086214b3bd077212cd0d06b9915c"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        },
        {
            "extractedText": "The icons in this repository are herefore released into the Public Domain.\n",
            "licenseId": "LicenseRef-Tango-Icons-Public-Domain"
        }
    ],
    "name": "qtpdf-6.9.3",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtpdf-f1f376f+HEAD",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "AppleClang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Darwin (arm64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "15.0.0.15000309"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf",
            "builtDate": "2025-09-25T23:41:36Z",
            "comment": "Built by CMake 3.30.5 with Release;Debug configuration for iOS ()\nqtpdf was configured with:\n    qt-configure-module <sources>/qtpdf -- -DQT_PROTOBUF_WELL_KNOWN_TYPES_PROTO_DIR=/usr/local/include -DFFMPEG_DIR=/usr/local/ios/ffmpeg -DQT_DEPLOY_FFMPEG=TRUE -DQT_INSTALL_CONFIG_INFO_FILES=ON -DQT_GENERATE_SBOM=ON -DQT_GENERATE_SOURCE_SBOM=ON -DQT_SBOM_PYTHON_INTERP=/Users/qt/.pyenv/versions/3.9.7/bin/ -DQT_SBOM_PYTHON_APPS_PATH=/Users/qt/.local/bin -DQT_LINT_SOURCE_SBOM=ON -DQT_INTERNAL_SBOM_DEFAULT_CHECKS=ON -DQT_INTERNAL_SBOM_AUDIT=ON -DQT_INTERNAL_SBOM_AUDIT_NO_ERROR=ON -DQT_BUILD_TESTS=OFF -DCMAKE_AUTOGEN_VERBOSE=ON -DCMAKE_MESSAGE_LOG_LEVEL=STATUS -DCMAKE_C_COMPILER_LAUNCHER=sccache -DCMAKE_CXX_COMPILER_LAUNCHER=sccache\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf@f1f376f+HEAD",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtpdf",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "f1f376f+HEAD"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "comment": "\nCMake target name: QPdfPlugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@f1f376f?library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-QPdfPlugin@f1f376f?vcs_url=https://code.qt.io/qt/qtpdf.git@f1f376f&library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QPdfPlugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "a424e47cdabe24771b92b6ba84f8444dbb13bd86"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.9.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "comment": "\nNote: This package was marked as not listing all of its consumed 3rd party dependencies.\nThus the licensing and copyright information might be incomplete.\nCMake target name: Pdf\nCMake exported target name: Qt6::Pdf\nContained in CMake package: Qt6Pdf\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@f1f376f?library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-Pdf@f1f376f?vcs_url=https://code.qt.io/qt/qtpdf.git@f1f376f&library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Pdf",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "db74a370cb003f90fc6b23d64f6ef9e000ba7a4c"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.9.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "comment": "\nCMake target name: PdfWidgets\nCMake exported target name: Qt6::PdfWidgets\nContained in CMake package: Qt6PdfWidgets\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@f1f376f?library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfWidgets@f1f376f?vcs_url=https://code.qt.io/qt/qtpdf.git@f1f376f&library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfWidgets",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "e4881186f8c361d785b6b738b18b2e5333eb6f6f"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.9.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "comment": "\nCMake target name: PdfQuick\nCMake exported target name: Qt6::PdfQuick\nContained in CMake package: Qt6PdfQuick\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@f1f376f?library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuick@f1f376f?vcs_url=https://code.qt.io/qt/qtpdf.git@f1f376f&library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuick",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "34ee7f478b180254b2b98afab02f4b3979001f8e"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.9.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "comment": "\nCMake target name: PdfQuickplugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@f1f376f88263616b6b8a6cac3de8aebb10c76977",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@f1f376f?library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuickplugin@f1f376f?vcs_url=https://code.qt.io/qt/qtpdf.git@f1f376f&library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.9.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuickplugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "bd7214c4c8c77f18b09597d59cf9882fa9af7e07"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.9.3"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "9b11f7713150f8b5426259bfd2f06003b482db75"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0297b49081767d03715649bcdb595d7f9e180089"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "66a694832cfbb2d716d3587f0878b1808d3fd84a"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0deb769402f2d7aa7d457f615b5fed8cb3f7e80b"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "989a166210ca3fbb04b609d186152e0cd0251d18"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "894da57323c6518691048cec582a824319ddd095"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "7616f7a789f435e1916722a0bc79712eef589577"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "6174b8afcc45b9a5c577b48fa62f0b9b71654f05"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "612e2a36d89bcbdb0fc2a9e74006cf5cd182751c"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "fabeb872f6926e042d5ff0132246961562cf6b88"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtpdf is built by compiler AppleClang version 15.0.0.15000309",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Widgets",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}